$(function () {
    "use strict";
    if($('#configInfo').length>0){
        $('#configInfo').dataTable({
            ordering: false,
            searching: false,
            paging: false,
            info: false,
            dom: '<f<t><"bottom"ilp>><"clear">',
            "columns": [
                { "width": "30%" },
                { "width": "45%" },
                { "width": "20%" },
                { "width": "5%" }
            ],
            language: {
                url: language,
            }
        });
    }
});


$(function () {
    // -------------------------------------------------------------------------

    $('select[name=per_page]').change(function () {
        $(this).parent().submit();
    });

    // -------------------------------------------------------------------------

    $('.ajax-edit').click(function (e) {
        var $tr = $(this).closest('tr');
        var $i = $(this).find('i');

        var id = $tr.data('param-id');
        var i = 1;

        console.log(id);

        if (! $i.hasClass('icon-floppy')) { // Edycja
            $i.addClass('icon-floppy').removeClass('icon-pencil');

            if ($i.hasClass('icondDaysOfWeek')) {
                $('.checkboxDaysOfWeek').each(function() {
                    $('#paramValue_'+id+'_'+i).removeAttr('disabled');
                    i++;
                });

                i = 1;
            }

            $('#paramValue_'+id).removeAttr('disabled').css('background-color', '#fff');
            $('#aidValue_'+id).removeAttr('disabled').css('background-color', '#fff');
            $(this).closest('.buttonsItems').css({'display': 'block'});

            if ($('#paramValue_'+id).hasClass("switchConfig")) {
                if ($('#paramValue_'+id).next().hasClass("labelSwitch")) {
                    $('#paramValue_'+id).next().removeClass("labelSwitch");
                }
            }
        } else { // Zapis
            $i.removeClass('icon-floppy').addClass('icon-pencil');

            if ($i.hasClass('icondDaysOfWeek')) {
                $('.checkboxDaysOfWeek').each(function() {
                    $('#paramValue_'+id+'_'+i).attr('disabled', 'disabled');
                    i++;
                });

                i = 1;
            }

            $('#paramValue_'+id).attr('disabled', 'disabled').css('background-color', '#f9f9f9');
            $('#aidValue_'+id).attr('disabled', 'disabled').css('background-color', '#f9f9f9');
            $(this).closest('.buttonsItems').removeAttr('style');

            if ($('#paramValue_'+id).hasClass("switchConfig")) {
                $('#paramValue_'+id).next().addClass("labelSwitch");
            }

            // Docelowy zapis.
            var value = '';

            if ($('#paramValue_'+id).hasClass("switchConfig")) {
                if ($('#paramValue_'+id)[0].checked) {
                    value = 1;
                } else {
                    value = 0;
                }
            } else if ($i.hasClass('icondDaysOfWeek')) {
                $('.checkboxDaysOfWeek').each(function() {
                    if ($(this)[0].checked) {
                        value += $(this).val() + ',';
                    }
                    i=i+1;
                });
            } else {
                value = $('#paramValue_'+id).val();
            }

            console.log(value);

            $.ajax({
                url: Routing.generate('wi_admin_newsletter_campaign_ajax_save_config', {id: $tr.data('campaign-id')}),
                type: 'POST',
                data: {
                    paramName: $tr.data('param-name'),
                    paramValue: value,
                    aidValue: $('#aidValue_'+id).val(),
                    id: id,
                },
                dataType: 'JSON',
                success: function(response) {
                    console.log(response.new_id);
                    i = 1;

                    if ($i.hasClass('icondDaysOfWeek')) {
                        $('.checkboxDaysOfWeek').each(function() {
                            $('#paramValue_'+id+'_'+i).attr('id', $('#paramValue_'+id+'_'+i).attr('id').replace(/(_[0-9]+_)/g, '_'+response.new_id+'_'));
                            i++;
                        });

                        i = 1;
                    } else if ($('#paramValue_'+response.new_id).hasClass("switchConfig")) {
                        if ($('#paramValue_'+response.new_id).next().hasClass("labelSwitch")) {
                            $('#paramValue_'+response.new_id).next().attr('for', '#paramValue_'+response.new_id);
                        }
                    } else {
                        $('#paramValue_'+id).attr('id', $('#paramValue_'+id).attr('id').replace(/([0-9]+)/g, response.new_id));
                        $('#paramName_'+id).attr('id', $('#paramName_'+id).attr('id').replace(/([0-9]+)/g, response.new_id));
                        $('#aidValue_'+id).attr('id', $('#aidValue_'+id).attr('id').replace(/([0-9]+)/g, response.new_id));
                    }

                    $i.attr('id', response.new_id);
                    $tr.data('param-id', response.new_id);
                }
            });
        }
    });
});

// -----------------------------------------------------------------------------

$(function () {
    "use strict";
    if ($('.chosenSelect').length > 0) {
        $('.chosenSelect').chosen();
    }
});
